Subject: Re: [mpls] Available IP version numbers.

From: Kireeti Kompella <[email-masked]>
Date: Wed, 6 Oct 2021 15:00:48 -0700

I’m with you, Sergey.  My answer is, we do not need to take anything (more) from the IP numbering space.

There is a complete non-functional hack in some MPLS implementations look at the first nibble after the label stack to “determine” whether the packet is IP, and if so, load balance on the (hopeful) IP fields found therein.  For this, they use the values 0x4 and 0x6 for IPv4 and IPv6 respectively.

We need to acknowledge the existence of this hack in the network, accommodate it, limit it, offer a new way forward, and thereby terminate this pseudo-relation between the IP version number space and the first nibble.  All set out in a draft a few of us are writing.

The piece of IP numbering that’s already taken — using 0x4 and 0x6 — well, not much one can do at this point, unless we’re willing to declare those implementations “non grata”.

:K

> On Apr 19, 2021, at 11:53, [email-masked] wrote:
> 
> Hi Loa,
> In an adjacent thread ("mpls open dt & the first nibble discussion") I raised a question about why do we even expect to take something from IP numbering. Would appreciate your feedback on this one.
> 
> 
> -----Original Message-----
> From: mpls <[email-masked]> On Behalf Of Loa Andersson
> Sent: Saturday, April 17, 2021 1:13 AM
> To: mpls <[email-masked]>
> Subject: [mpls] Available IP version numbers.
> 
> DT,
> 
> We had a discussion on how many IP version numbers are available. 
> 
> It should be remembered that in IANA “Reserved” really means “Reserved, do not assign”. 
> 
> 0,1,5,7,8,9 and 15 are reserved. 
> 2,3,10,11,12,13 and 14 are unassigned
> 4 and 6 are assigned 
> 
> To make the reserved requires a standard track RFC. 
> 
> So we 7 IP version numbers available, that is a sufficient low number to make me nervous, if I owned the registry. 
> 
> I would nit count on having more IP version numbers assigned to “us”, especially since we already have an agreement (PWE3), accepting to get two numbers and committing to not use more. 
> 
> /Loa
> 
> Sent from my iPhone
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
> 
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls